curl_setopt
curl_share_init
cURL Functions
PHP Manual

# curl_share_close

Close a cURL share handle

### Description

void curl_share_close ( resource `$sh` )

Closes a cURL share handle and frees all resources.

### Parameters

`sh`

  A cURL share handle returned by curl_share_init

### Return Values

No value is returned.

### Examples

Example #1 curl_share_setopt example

This example will create a cURL share handle, add two cURL handles to it, and then run them with cookie data sharing.

`<?php
// Create cURL share handle and set it to share cookie data
$sh = curl_share_init();
curl_share_setopt($sh, CURLSHOPT_SHARE, CURL_LOCK_DATA_COOKIE);
// Initialize the first cURL handle and assign the share handle to it
$ch1 = curl_init("http://example.com/");
curl_setopt($ch1, CURLOPT_SHARE, $sh);
// Execute the first cURL handle
curl_exec($ch1);
// Initialize the second cURL handle and assign the share handle to it
$ch2 = curl_init("http://php.net/");
curl_setopt($ch2, CURLOPT_SHARE, $sh);
// Execute the second cURL handle
// all cookies from $ch1 handle are shared with $ch2 handle
curl_exec($ch2);
// Close the cURL share handle
curl_share_close($sh);
// Close the cURL handles
curl_close($ch1);
curl_close($ch2);
?>`

### See Also

- curl_share_init